# Copyright (C) 2004 Robert Vojta <robert.vojta@mandrake.cz>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

package comm;

require Exporter;

use lib qw(/usr/lib/libDrakX);
use c;
use common;

use Locale::gettext;
use POSIX;

@ISA = qw(Exporter);
@EXPORT = qw(T setuplocales);

sub translate_real {
	my ($s) = @_;
	$s or return '';
	return gettext($s);
}

sub translate {
    my $s = translate_real(@_); 
    c::set_tagged_utf8($s);
    $s =~ s/^_:.*\n//;
    $s;
}

sub T {
    my $s = shift @_;
    my $t = translate($s);
    common::sprintf_fixutf8 $t, @_;
}

sub require_root() {
	return if !$>;

    exec { 'consolehelper' } $0, @ARGV or die "consolehelper missing";

	die "You must be root to run this program, sorry." if $>;
}

sub setuplocales() {
    setlocale(LC_MESSAGES, "");
    textdomain($::PKGNAME);
}

1;
