# Copyright (C) 2004 Robert Vojta <robert.vojta@mandrake.cz> 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

package dialogs;

use preload;

use Gtk2;

my $gladefile = "$::gtkguidir/dialogs.glade";

sub _run_dialog {
    my ($dialog, $parent, $title, $header, $message) = @_;

    my $xml = Gtk2::GladeXML->new($gladefile, $dialog);
    my $dialogw = $xml->get_widget($dialog);

    if (defined $header) {
	my $headerw = $xml->get_widget('header');
	$headerw->set_markup("<span weight=\"bold\">$header</span>");
    }

    my $messagew = $xml->get_widget('message');
    $messagew->set_text($message);

    $dialogw->set_title($title) if defined $title;
    $dialogw->set_transient_for($parent);

    my $response = $dialogw->run;
    $dialogw->destroy;

    return $response;
}

sub yesno_dialog {
    my ($parent, $title, $header, $question) = @_;

    if (_run_dialog('yesno', $parent, $title, $header, $question) eq 'yes') {
	return 1;
    }

    return 0;
}

sub warning_dialog {
    my ($parent, $title, $header, $message) = @_;

    _run_dialog('warning', $parent, $title, $header, $message);
}

1;
